'use strict';

const config = require("./config.json");

module.exports = {
	client: "pg",
	connection: {
		database: "cvm",
		charset: "utf8",
		username: config.database.username,
		password: config.database.password
	},
	pool: {
		min: 2,
		max: 10
	}
}
