"use strict";

const graphql = require("graphql");

module.exports = function createGraphQLInterface(schema, options, root) {
	return function makeQuery(query, args) {
		return graphql.graphql(schema, query, root, {
			data: (options.loaderFactory != null) ? options.loaderFactory() : {}
		}, args);
	}
};